View Issue Details

IDProjectCategoryView StatusLast Update
0011572LazarusWidgetsetpublic2013-09-03 12:07
ReporterChrisK Assigned ToFelipe Monteiro de Carvalho  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.25 (SVN) 
Fixed in Version0.9.28 
Summary0011572: TOpenDialog, TSaveDialog: Don't work on WinCE-Widgetset
DescriptionThe File-Dialogs don't work on WinCE. When I call .Execute, nothing happens.
TagsNo tags attached.
Fixed in Revision21246, 21361
LazTarget1.4
WidgetsetWinCE
Attached Files

Relationships

related to 0014359 closedFelipe Monteiro de Carvalho TListView columns ignore the size set to them. Regression 
related to 0014360 closedFelipe Monteiro de Carvalho FileSize doesn't work in WinCE 

Activities

Felipe Monteiro de Carvalho

2008-07-02 17:40

developer   ~0020501

There seams to exist a native dialog, but it's a very bad one. It only allows browsing the My Documents folder. I think it will be better to implement a dialog ourselves.

Yuriy Sydorov

2008-07-02 17:43

developer   ~0020502

Actually WinCE has open and save dialog. They are invoked via standard GetOpenFileName function.
These dialogs are crippled, but it is a different story...

Felipe Monteiro de Carvalho

2008-07-05 15:58

developer   ~0020554

First TShellTreeView and TFilterComboBox need to be implemented in the LCL

Felipe Monteiro de Carvalho

2009-05-11 16:33

developer   ~0027522

Just an update. I already implemented TShellTreeView and TShellListView. Still need to implement TFilterComboBox and build the dialogs

Felipe Monteiro de Carvalho

2009-05-17 15:44

developer   ~0027656

I also implemented a initial TFilterComboBox.

Link to the wiki development page for this bug:

http://wiki.lazarus.freepascal.org/Windows_CE_Development_Notes#Standard_dialogs

Felipe Monteiro de Carvalho

2009-08-16 05:24

developer   ~0029897

I have a functional OpenDialog now, but there are several bugs to be solved before it works ok:

* FileSize doesn't work in WinCE OS - already reported
* After closing the window you can no longer quit the application, probably a bug related to modal dialogs; Can be reproduced in wince-win32
* Not perfectly positioned columns in wince-wince, they are good in wince-win32, maybe a bug in component Width calculation?

Felipe Monteiro de Carvalho

2009-08-16 17:10

developer   ~0029911

I fixed the first two bugs of the above list. The second in rev21246

TOpenDialog is usable now.

Felipe Monteiro de Carvalho

2009-08-20 19:20

developer   ~0030034

Now TOpenDialog and TSaveDialog should be working well. Please open new bug reports if there are problems with them.

Issue History

Date Modified Username Field Change
2008-06-28 20:01 ChrisK New Issue
2008-06-28 20:01 ChrisK Widgetset => WinCE
2008-06-28 20:44 Vincent Snijders LazTarget => post 1.2
2008-06-28 20:44 Vincent Snijders Status new => acknowledged
2008-07-02 17:30 Felipe Monteiro de Carvalho Status acknowledged => assigned
2008-07-02 17:30 Felipe Monteiro de Carvalho Assigned To => Felipe Monteiro de Carvalho
2008-07-02 17:40 Felipe Monteiro de Carvalho Note Added: 0020501
2008-07-02 17:43 Yuriy Sydorov Note Added: 0020502
2008-07-05 15:58 Felipe Monteiro de Carvalho Note Added: 0020554
2009-05-11 16:33 Felipe Monteiro de Carvalho Note Added: 0027522
2009-05-17 15:44 Felipe Monteiro de Carvalho Note Added: 0027656
2009-08-16 03:51 Felipe Monteiro de Carvalho Relationship added related to 0014359
2009-08-16 05:22 Felipe Monteiro de Carvalho Relationship added related to 0014360
2009-08-16 05:24 Felipe Monteiro de Carvalho Note Added: 0029897
2009-08-16 17:10 Felipe Monteiro de Carvalho Note Added: 0029911
2009-08-20 19:20 Felipe Monteiro de Carvalho Fixed in Revision => 21246, 21361
2009-08-20 19:20 Felipe Monteiro de Carvalho Status assigned => resolved
2009-08-20 19:20 Felipe Monteiro de Carvalho Fixed in Version => 0.9.29 (SVN)
2009-08-20 19:20 Felipe Monteiro de Carvalho Resolution open => fixed
2009-08-20 19:20 Felipe Monteiro de Carvalho Note Added: 0030034
2009-08-20 23:34 Felipe Monteiro de Carvalho Fixed in Version 0.9.29 (SVN) => 0.9.28
2011-12-01 11:22 Marc Weustink Status resolved => closed
2013-09-03 12:07 Martin Friebe LazTarget post 1.2 => 1.4